=== debian/control ===
Source: ros-eloquent-nav2-rviz-plugins
Section: misc
Priority: optional
Maintainer: Michael Jeronimo <michael.jeronimo@intel.com>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-eloquent-ament-cmake, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-geometry-msgs, ros-eloquent-nav-msgs, ros-eloquent-nav2-lifecycle-manager, ros-eloquent-nav2-msgs, ros-eloquent-nav2-util, ros-eloquent-pluginlib, ros-eloquent-rclcpp, ros-eloquent-rclcpp-lifecycle, ros-eloquent-resource-retriever, ros-eloquent-rviz-common, ros-eloquent-rviz-default-plugins, ros-eloquent-rviz-ogre-vendor, ros-eloquent-rviz-rendering, ros-eloquent-std-msgs, ros-eloquent-tf2-geometry-msgs, ros-eloquent-visualization-msgs, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-nav2-rviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5widgets5, ros-eloquent-geometry-msgs, ros-eloquent-nav-msgs, ros-eloquent-nav2-lifecycle-manager, ros-eloquent-nav2-msgs, ros-eloquent-nav2-util, ros-eloquent-pluginlib, ros-eloquent-rclcpp, ros-eloquent-rclcpp-lifecycle, ros-eloquent-resource-retriever, ros-eloquent-rviz-common, ros-eloquent-rviz-default-plugins, ros-eloquent-rviz-ogre-vendor, ros-eloquent-rviz-rendering, ros-eloquent-std-msgs, ros-eloquent-tf2-geometry-msgs, ros-eloquent-visualization-msgs, ros-eloquent-ros-workspace
Description: Navigation 2 plugins for rviz
